Subject: bug#40003: 27.0.70; Windows build is without jansson support

From: Noam Postavsky <[email-masked]>
Date: Tue, 14 Apr 2020 10:47:33 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Ivan Yonchovski <[email-masked]>
>> Date: Mon, 09 Mar 2020 21:53:58 +0200
>> 
>> The native json/serialization seems to be one of the important features
>> in the new upcomming 27 release. It will be great if the default GNU
>> Emacs windows build has it.
>
> Phillip, are you looking into this?  I think I reported this a few
> weeks ago.

As far as I can tell, just the following would do the job:

--- i/admin/nt/dist-build/build-dep-zips.py
+++ w/admin/nt/dist-build/build-dep-zips.py
@@ -32,6 +32,7 @@
 PKG_REQ='''mingw-w64-x86_64-giflib
 mingw-w64-x86_64-gnutls
 mingw-w64-x86_64-harfbuzz
+mingw-w64-x86_64-jansson
 mingw-w64-x86_64-lcms2
 mingw-w64-x86_64-libjpeg-turbo
 mingw-w64-x86_64-libpng